- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 69f82db9-f276-44ea-a3dd-f09ddcc3101e
    creation_time: 2023-02-17T13:36:14.642264Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 34
    column: 0
    function: main
  loop_invariant:
    string: limit == bufsize - 4 && (i == 0 && 0 > len || 0 <= i && i <= len)
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 8e2d728b-845e-4db9-ad07-d4e029dcc514
    creation_time: 2023-02-17T13:36:14.642469Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: limit == bufsize - 4 && 0 <= i && i <= len && (0 <= j && j <= limit + 2 && limit + 2 == bufsize - 2 || j == 0 && 0 > limit)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 53ccc24d-2619-4bb6-8d7c-7581a1e1f1f2
    creation_time: 2023-02-17T13:36:14.642765Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 44
    column: 0
    function: main
  location_invariant:
    string: i + 1 < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 9075e05c-36f5-4b3b-86fe-e889539859c7
    creation_time: 2023-02-17T13:36:14.642851Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 44
    column: 0
    function: main
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a3fcefb3-37a5-4d81-bfbc-837fa77b9c12
    creation_time: 2023-02-17T13:36:14.642957Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 44
    column: 0
    function: main
  location_invariant:
    string: i < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d7d60086-ee97-4088-bc2c-211bfc068895
    creation_time: 2023-02-17T13:36:14.643035Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 44
    column: 0
    function: main
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3af93777-fcfa-4c90-8c46-fd08bc623f26
    creation_time: 2023-02-17T13:36:14.643110Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 44
    column: 0
    function: main
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 661c7eab-f130-47ee-acfc-8a487f36e802
    creation_time: 2023-02-17T13:36:14.643185Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 44
    column: 0
    function: main
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 730a2332-e995-4e4e-972f-cd95b7add3c4
    creation_time: 2023-02-17T13:36:14.643266Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 50
    column: 0
    function: main
  location_invariant:
    string: i < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 4c666669-0f77-41eb-97c7-fd41fca446a9
    creation_time: 2023-02-17T13:36:14.643358Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 50
    column: 0
    function: main
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 92857cf4-f7e8-4894-afc2-6f0975528264
    creation_time: 2023-02-17T13:36:14.643443Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 50
    column: 0
    function: main
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ec962ef5-bcc7-499c-910f-119be6ec5b09
    creation_time: 2023-02-17T13:36:14.643519Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 50
    column: 0
    function: main
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 116e77c3-c73e-4569-9be1-a86610b64bd2
    creation_time: 2023-02-17T13:36:14.643596Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 54
    column: 0
    function: main
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c06b332e-0a8b-44ab-8d11-157f27ee6887
    creation_time: 2023-02-17T13:36:14.643671Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 54
    column: 0
    function: main
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: fb2abcdb-dc76-4d10-af48-cbd52e33e147
    creation_time: 2023-02-17T13:36:14.643751Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 61
    column: 0
    function: main
  location_invariant:
    string: i < len
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1f237542-f009-43f0-944b-603fc6b416d5
    creation_time: 2023-02-17T13:36:14.643831Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 61
    column: 0
    function: main
  location_invariant:
    string: 0 <= i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 0b3bd505-701d-4e0b-b9b0-89434677ba48
    creation_time: 2023-02-17T13:36:14.643909Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 61
    column: 0
    function: main
  location_invariant:
    string: j < bufsize
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: bb53f112-f42e-48aa-9743-6cde5c4dc4d9
    creation_time: 2023-02-17T13:36:14.643985Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/SpamAssassin-loop.i
      input_file_hashes:
        c/loop-invgen/SpamAssassin-loop.i: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/SpamAssassin-loop.i
    file_hash: 0ad27fb086e75bf8f5b08286d8e766d07abfe44ff39234568924cf55ade7a6d5
    line: 61
    column: 0
    function: main
  location_invariant:
    string: 0 <= j
    type: assertion
    format: C

